unit uIEditorElegirDireccionEntrega;

interface

uses
  uBizDireccionesContacto, uGUIBase;

type
  IEditorElegirDireccionEntrega = interface
    ['{AB909782-25E1-4715-B98A-EA62FB9DC03C}']
    function GetDireccion: IBizDireccionesContacto;
    procedure SetDireccion(const Value: IBizDireccionesContacto);
    property Direccion: IBizDireccionesContacto read GetDireccion write SetDireccion;

    procedure SetMensaje (const AValue: String);
    function GetMensaje: String;
    property Mensaje : String read GetMensaje write SetMensaje;

    function GetDireccionSeleccionada: IBizDireccionesContacto;
    property DireccionSeleccionada: IBizDireccionesContacto read GetDireccionSeleccionada;

    function ShowModal : Integer;
    procedure Release;    
  end;


implementation

end.

